package org.josast.amicalsat;

import org.josast.amicalsat.FrameTlmAmicalsat.EmLogType;
import org.josast.amicalsat.FrameTlmAmicalsat.EmerType;

// #EM;LOG;[Timestamp];[Boot number];[Input voltage];[Input current];[Input
// power];[Peak Power];[Solar panel voltage]
public class EmLogTypeFrame extends Frame {

	private String timeStamps;
	private String bootNumber;
	private String inputVoltage;
	private String inputCurrent;
	private String inputPower;
	private String peakPower;
	private String solarPanelVoltage;


	@Override
	protected void setUpFrame() {

		EmerType emtype = (EmerType) data.frameTlmEntrySat().payload().tlmAreaSwitch();
		EmLogType log = (EmLogType) emtype.tlmsw();

		timeStamps = emtype.timeStamp();
		hash.put("TimeStamp", timeStamps);
		
		bootNumber = log.bootNumber();
		hash.put("bootNumber", bootNumber);
		inputVoltage = log.inputVoltage();
		hash.put("inputVoltage", inputVoltage);
		inputCurrent = log.inputCurrent();
		hash.put("inputCurrent", inputCurrent);
		inputPower = log.inputPower();
		hash.put("inputPower", inputPower);
		peakPower = log.peakPower();
		hash.put("peakPower", peakPower);
		solarPanelVoltage = log.solarPanelVoltage();
		hash.put("solarPanelVoltage", solarPanelVoltage);
		
		
	}



}
